export enum KeyState {
    AVAILABLE = 1,
    UNKNOWN = 0,
    RESERVED_FOR_GIFT = -1,
    CLAIMED = -10
}

export function getIconForKeyState(keyState: KeyState): string {
    switch (keyState) {
        case KeyState.AVAILABLE:
            return "fa-check text-success";
        default:
        case KeyState.UNKNOWN:
            return 'fa-question text-info';
        case KeyState.RESERVED_FOR_GIFT:
            return 'fa-gift text-warning';
        case KeyState.CLAIMED:
            return 'fa-x text-danger';

    }
}

export function getKeyStateExplanation(keyState: KeyState): string {
    switch (keyState) {
        case KeyState.AVAILABLE:
            return "This key is available";
        default:
        case KeyState.UNKNOWN:
            return 'The state of this key is unknown';
        case KeyState.RESERVED_FOR_GIFT:
            return 'This key is reserved for a gift';
        case KeyState.CLAIMED:
            return 'This key was claimed';
    }
}