<?php
declare(strict_types=1);

namespace GamesShop\Routing\Api\DataTables;

use League\Route\RouteGroup;
use League\Route\Router;

final class DataTablesAPIRoutes
{
    public static function setupRoutes(RouteGroup $group): void {
        AccountsEndpoint::applyRoutes($group);

        $group->get('/keys/provider', ProviderKeysEndpoint::class);
        $group->get('/keys/available', AvailableKeysEndpoint::class);
        $group->get('/list/users', SharedUsersEndpoint::class);
    }
}